import {
  getMenu
} from "./chunk-BLP55UXC.js";

// src/navigation/use-menu.ts
import { useRouter } from "next/router";
import { useEffect, useState } from "react";
function useMenu(name) {
  const router = useRouter();
  const [data, setData] = useState(null);
  const [error, setError] = useState(null);
  const [isLoading, setIsLoading] = useState(false);
  useEffect(() => {
    const fetchMenuItems = async () => {
      setIsLoading(true);
      try {
        const data2 = await getMenu(name, {
          locale: router.locale,
          defaultLocale: router.defaultLocale
        });
        setData(data2);
        setIsLoading(false);
      } catch (error2) {
        setError(error2);
        setIsLoading(false);
      }
    };
    fetchMenuItems();
  }, [router.locale]);
  return { ...data, error, isLoading };
}
export {
  useMenu
};
//# sourceMappingURL=navigation.js.map